Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.runtime
Class StringValueHandler

    java.lang.Object
      org.apache.xml.serializer.EmptySerializer
          org.apache.xalan.xsltc.runtime.StringValueHandler

All Implemented Interfaces:
  DOMSerializer, SerializationHandler, Serializer, org.xml.sax.DTDHandler, org.xml.sax.ErrorHandler, org.xml.sax.ext.DeclHandler

    public final class StringValueHandler

extends EmptySerializer

Author:
  Jacek Ambroziak, Santiago Pericas-Geertsen, Morten Jorgensen

Field Summary
`static int` | `HTML_ATTREMPTY`
`static int` | `HTML_ATTRURL`
`static int` | `NO_BAD_CHARS`

Constructor Summary
`StringValueHandler()`

Method Summary
`void` | `characters(char[] ch, int off, int len)`
`void` | `characters(java.lang.String characters)` This method is used to notify of a character event, but passing the data as a character String rather than the standard character array.
`void` | `endElement(java.lang.String qname)` This method is used to notify that an element has ended.
`java.lang.String` | `getValue()`
`java.lang.String` | `getValueOfPI()` The value of a PI must not contain the substring "?
`boolean` | `setEscaping(boolean bool)` Turns special character escaping on/off.
`void` | `startElement(java.lang.String qname)` This method is used to notify of the start of an element

Methods inherited from class org.apache.xml.serializer.EmptySerializer
`addAttribute, addAttribute, addAttribute, addAttributes, addUniqueAttribute, addXSLAttribute, asContentHandler, asDOMSerializer, attributeDecl, characters, close, comment, comment, elementDecl, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, entityReference, error, externalEntityDecl, fatalError, flushPending, getDoctypePublic, getDoctypeSystem, getEncoding, getIndent, getIndentAmount, getMediaType, getNamespaceMappings, getNamespaceURI, getNamespaceURIFromPrefix, getOmitXMLDeclaration, getOutputFormat, getOutputStream, getPrefix, getStandalone, getTransformer, getVersion, getWriter, ignorableWhitespace, internalEntityDecl, namespaceAfterStartElement, notationDecl, processingInstruction, reset, serialize, setCdataSectionElements, setCdataSectionElements, setContentHandler, setDoctype, setDoctypePublic, setDoctypeSystem, setDocumentLocator, setDTDEntityExpansion, setEncoding, setIndent, setIndentAmount, setMediaType, setNamespaceMappings, setOmitXMLDeclaration, setOutputFormat, setOutputStream, setSourceLocator, setStandalone, setTransformer, setVersion, setWriter, skippedEntity, startCDATA, startDocument, startDTD, startElement, startElement, startEntity, startPrefixMapping, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_BAD_CHARS

    public static final int NO_BAD_CHARS

See Also:
  Constant Field Values

### HTML_ATTREMPTY

    public static final int HTML_ATTREMPTY

See Also:
  Constant Field Values

### HTML_ATTRURL

    public static final int HTML_ATTRURL

See Also:
  Constant Field Values

Constructor Detail

### StringValueHandler

    public StringValueHandler()

Method Detail

### characters

    public void characters(char[] ch,
                           int off,
                           int len)
                    throws org.xml.sax.SAXException

  Overrides:
    `characters` in class `EmptySerializer`
  Throws:
    `org.xml.sax.SAXException`
  See Also:
    `ContentHandler.characters(char[], int, int)`

### getValue

    public java.lang.String getValue()

### characters

    public void characters(java.lang.String characters)
                    throws org.xml.sax.SAXException

  This method is used to notify of a character event, but passing the data as a character String rather than the standard character array.

  Overrides:
    `characters` in class `EmptySerializer`
  Parameters:
    `characters` - the character data
  Throws:
    `org.xml.sax.SAXException`
  See Also:
    `ExtendedContentHandler.characters(java.lang.String)`

### startElement

    public void startElement(java.lang.String qname)
                      throws org.xml.sax.SAXException

  This method is used to notify of the start of an element

  Overrides:
    `startElement` in class `EmptySerializer`
  Parameters:
    `qname` - the fully qualified name of the element
  Throws:
    `org.xml.sax.SAXException`
  See Also:
    `ExtendedContentHandler.startElement(java.lang.String)`

### endElement

    public void endElement(java.lang.String qname)
                    throws org.xml.sax.SAXException

  This method is used to notify that an element has ended. Unlike the standard SAX method

       endElement(namespaceURI,localName,qName)

  only the last parameter is passed. If needed the serializer can derive the localName from the qualified name and derive the namespaceURI from its implementation.

  Overrides:
    `endElement` in class `EmptySerializer`
  Parameters:
    `qname` - the fully qualified element name.
  Throws:
    `org.xml.sax.SAXException`
  See Also:
    `ExtendedContentHandler.endElement(java.lang.String)`

### setEscaping

    public boolean setEscaping(boolean bool)

  Description copied from interface: `SerializationHandler`
  Turns special character escaping on/off. Note that characters will never, even if this option is set to 'true', be escaped within CDATA sections in output XML documents.

  Specified by:
    `setEscaping` in interface `SerializationHandler`
  Overrides:
    `setEscaping` in class `EmptySerializer`
  Parameters:
    `bool` - true if escaping is to be set on.
  See Also:
    `SerializationHandler.setEscaping(boolean)`

### getValueOfPI

    public java.lang.String getValueOfPI()

  The value of a PI must not contain the substring "?>". Should that substring be present, replace it by "? >".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache XML Project. All Rights Reserved.